Package com.databricks.jdbc.model.telemetry.latency

## Class ResultLatency

- java.lang.Object
- - com.databricks.jdbc.model.telemetry.latency.ResultLatency

    public class ResultLatency
    extends Object

### Constructor Summary

Constructors
`ResultLatency()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Long` `getResultSetConsumptionLatencyMillis()`
`Long` `getResultSetReadyLatencyMillis()`
`void` `markResultSetConsumption​(boolean hasNext)`
`ResultLatency` `setResultSetConsumptionLatencyMillis​(Long resultSetConsumptionLatencyMillis)`
`ResultLatency` `setResultSetReadyLatencyMillis​(Long resultSetReadyLatencyMillis)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ResultLatency

    public ResultLatency()

### Method Detail

#### getResultSetReadyLatencyMillis

    public Long getResultSetReadyLatencyMillis()

#### getResultSetConsumptionLatencyMillis

    public Long getResultSetConsumptionLatencyMillis()

#### setResultSetReadyLatencyMillis

    public ResultLatency setResultSetReadyLatencyMillis​(Long resultSetReadyLatencyMillis)

#### setResultSetConsumptionLatencyMillis

    public ResultLatency setResultSetConsumptionLatencyMillis​(Long resultSetConsumptionLatencyMillis)

#### markResultSetConsumption

    public void markResultSetConsumption​(boolean hasNext)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`